package main

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"onvif-agent/router"
)

func main() {

	r := gin.Default()

	router.SetupRoutes(r)

	go func() {
		if err := r.Run(":8080"); err != nil {
			fmt.Println("Failed to start server:", err)
		}
	}()

	//log.Print("Waiting for server to start...")
	//time.Sleep(3 * time.Second)
	//go printTime()

	// block main()
	select {}
}
